:root{
    --green: #1ed760;
}

html {
    scroll-behavior: smooth;
    scroll-padding: 72px;
}

html::-webkit-scrollbar{
    width: 18px;
    background-color: #222222;
}

html::-webkit-scrollbar-button{
    display: block;
    color: var(--green);
}

html::-webkit-scrollbar-thumb{
    background-color: #555555;
    border: 5px solid #222222;
    border-radius: 9px;
}

html::-webkit-scrollbar-thumb:hover{ background-color: var(--green); cursor: pointer}
html::-webkit-scrollbar-track:hover{ cursor: pointer }

body *{ padding: 0; margin: 0;}

body{
    background-image: linear-gradient(rgba(0, 0, 0, 0.8),
    rgba(0, 0, 0, 0.8)), url('imgs/background.jpg');
    background-position: -50px 37px;

    background-size: 110%;
    color: white;
    font-family: 'Montserrat', arial;

    margin: 0px;
}


#wpp-btn{
    background-color: #25d365;
    color: white;

    display: block;
    width: 40px;
    height: 40px;
    border-radius: 50%;

    padding: 5px;
    font-size: 30px;

    position: fixed;
    right: 10px;
    top: 10px;

    z-index: 3;
    
    display: flex;
    justify-content: center;
    align-items: center;

    transition-duration: 0.3s;
}

#wpp-btn:hover{
    transform: scale(1.2);
    background-color: white;
    color: #25d365;
}

#header{
    width: 100%;
    height: 50px;

    padding: 10px;
    top: 0px;
    position: fixed;

    display: block;

    border: none;
    background-color: black;

    z-index: 1;
}

#links{
    height: 100%;
    width: max-content;

    position: absolute;
    top: 0px;

    left: 50%;
    transform: translateX(-50%);
}

#links a{
    padding-left: 25px;
    padding-right: 25px;

    height: 100%;
    line-height: 60px;

    color: white;
    text-decoration: none;

    border: none;
    background-color: black;

    transition-duration: 0.4s;
    display: inline-block;
}

#links a:hover{
    background-color: var(--green);
    color: black;
}





#home{
    height: 95vh;

    display: flex;
    flex-direction: row;
    align-items: center;

    padding: 100px 0 30px;

    box-sizing: border-box;
}

#home-logo{
    margin: 40px;
    margin-right: 20px;
    width: calc(45% - 60px);
    height: 70%;
}

#home-text{
    margin: 40px;
    margin-left: 20px;
    width: calc(55% - 60px);
}






#dark-bg{
    background-color: #00000079;
    backdrop-filter: blur(3px);
    padding: 40px;
}

#about-us{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}

#au-globe{
    width: 22%;
    height: min(auto, 100%);
    aspect-ratio: 1 / 1;
    margin: 40px;
}

#au-text{
    margin: 40px;
    padding: 30px;

    border: 1px solid var(--green);
    border-radius: 15px;
}

#au-text h2{
    font-family: 'Michroma', Arial;
    font-size: 40px;

    color: var(--green);
}

#au-text p{
    margin-top: 10px;
    font-size: 20px;
}







#solutions{
    background-color: black;
    margin: 40px;
    margin-top: 60px;
    padding: 15px;
}

@keyframes typing{
    from{
        width: 0;
    }
}

@keyframes blinking{
    50%{
        border-color: transparent;
    }
}

#solut-title{
    color: var(--green);
    font-family: 'Michroma', Arial;
    margin: 15px;

    white-space: nowrap;
    border-right: 4px solid;
    font-size: 40px;
    width: 19ch;
    overflow: hidden;
    visibility: hidden;
}

#s-container{
    margin: 15px;
    padding-bottom: 16px;
    overflow-x: scroll;

}

#s-container:hover{
    cursor: e-resize;
}

#s-carrossel{
    width: max-content;
    display: flex;
    flex-direction: row;
}

.s-item{
    font-size: 24px;
    width: 16ch;

    margin-right: 64px;
    position: relative;
    
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    user-select: none;
}

.s-item *{ margin: 8px 0px }

.s-icon{
    width: 100%;
    aspect-ratio: 1 / 1;

    background-color: var(--green);
    background-size: 60%;
    background-repeat: no-repeat;
    background-position: center;
    border-radius: 50%;
}

.s-title{
    font-size: 24px;
    margin-bottom: 0px;
    width: 100%;
}

.s-text{
    font-size: 16px;
    margin: 4px 0;
    width: 100%;
}

.s-button{
    width: 100%;
    border: 1px solid var(--green);
    border-radius: 32px;
    padding: 8px;

    background-color: black;
    color: var(--green);

    transition-duration: 0.3s;
}

.s-button:hover{
    background-color: var(--green);
    color: black;

    cursor: pointer;
    transform: scale(1.1);
}

#s-container::-webkit-scrollbar{
    height: 8px;
    background-color: #222222;
}

#s-container::-webkit-scrollbar-button{display: none;}

#s-container::-webkit-scrollbar-thumb{
    border-radius: 8px;
    background-color: var(--green);
    height: 8px;
}

#s-container::-webkit-scrollbar-thumb:hover{ background-color: white }

#s-container::-webkit-scrollbar-thumb:hover{ cursor: pointer }

#ecommerce-icon{ background-image: url('imgs/icons/ecommerce icon.png') }
#social-media-icon{ background-image: url('imgs/icons/social media icon.png') }
#online-ads-icon{ background-image: url('imgs/icons/ads icon.png') }
#landing-page-icon{ background-image: url('imgs/icons/landing page icon.png') }
#visual-identity-icon{ background-image: url('imgs/icons/visual identity icon.png') }
#sites-icon{ background-image: url('imgs/icons/sites icon.png') }
#content-icon{ background-image: url('imgs/icons/content icon.png') }





#clients{
    background-color: black;
    margin: 80px 40px;
    padding: 15px;
    overflow-x: hidden;
}

#clients h1{
    margin: 25px;

    font-family: 'Michroma', Arial;
    font-size: 40px;
    color: var(--green);
}

#c-container{
    margin: 25px;
    overflow-x: scroll;
    scroll-behavior: smooth;
}


#c-container::-webkit-scrollbar{
    height: 8px;
    background-color: #222222;
}

#c-container::-webkit-scrollbar-button{display: none;}

#c-container::-webkit-scrollbar-thumb{
    border-radius: 8px;
    background-color: var(--green);
    height: 8px;
}

#c-container::-webkit-scrollbar-thumb:hover{ background-color: white; cursor: pointer}
#c-container::-webkit-scrollbar-track:hover{ cursor: pointer }


#c-carrossel{
    display: flex;
    flex-direction: row;
    justify-content: space-between;

    padding: 30px 0;
    font-size: 18px;
}

.c-item{
    border: 1px solid #555555;
    border-radius: 30px;
    padding: 15px;

    text-decoration: none;
    color: white;
    transition-duration: 0.25s;
}

.c-item:hover{
    transform: scale(1.1);
    border-color: white;
}

.c-item *{
    margin: 15px;
}


.c-item p{
    text-decoration: none;
    color: white;
}


.c-item:not(:first-child){
    margin-left: 30px;
}

.c-item img{
    width: calc((100vh - 80px - 80px) / 3);
    aspect-ratio: 1 / 1;
}

.c-item:nth-child(2) img{
    border-radius: 50%;
}





#contact-us{
    background-color: black;
    padding: 30px;
    color: var(--green);
}

#cu-main-part{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

#cu-main-part h1{
    font-size: 50px;
    font-family: 'Michroma', Arial;
    line-height: 50%;
}

#cump-icons a{
    display: inline-block;
    height: 50px;
    font-size: 50px;
    aspect-ratio: 1 / 1;
    
    margin: 0 10px;

    text-decoration: none;
    color: white;
}

#cump-icons a:hover{
    color: var(--green);
}

#cu-main-part, #cu-texts{
    margin: 30px;
}

#cu-texts p{
    font-size: 20px;
}

.bi-arrow-right, .mobile-icons{ display: none }





@media (max-width: 450px){
    .mobile-icons{ display: block;}

    
    #home{
        height: unset;
        flex-direction: column;
        
        padding: 90px 0 20px;
    }

    #home-logo{
        margin: 30px;
        width: calc(100% - 60px);
        height: unset;
    }
    
    #home-text{
        content: url('imgs/home\ textmobile.png');

        margin: 60px;
        margin-top: 0;
        
        width: calc(100% - 60px);
        height: unset;
    }

    
    #wpp-btn{
        top: unset;
        bottom: 20px;
        right: 20px;
    }
    
    #wpp-btn:hover{
        transform: none;
        background-color: var(--green);
        color: white;
    }

    #dark-bg{
        background-color: #00000069;
        padding: 20px;
    }

    #about-us{ display: block; }

    #au-text{
        margin: 30px;
        padding: 20px;
    }
    
    #au-text h2{
        font-size: 32px;
    }

    
    
    #solutions{
        margin: 30px;
        margin-top: 50px;
        padding: 20px;    
    }

    #solut-title{
        font-size: 32px;
        width: unset;
        border: none;
        
        white-space: wrap;
        visibility: visible;
        overflow: visible;
    }

    .bi-arrow-right{
        display: inline;
    }
    
    .s-item{
        width: 16ch;
    }

    .s-button:hover{
        background-color: black;
        color: var(--green);
        transform: none;
    }



    
    #clients{
        margin: 60px 30px;
    }
        
    #clients h1{
        margin: 15px;
        font-size: 36px;
    }

    #c-container{
        margin: 15px;
    }
    
    .c-item:hover{
        transform: none;
        border-color: #555555;
    }

    .c-item img{
        width: calc(100vw - 60px - 30px - 30px - 30px - 30px);
    }



    #contact-us{
        padding: 35px 15px;
    }

    #cu-main-part{
        margin: 10px;
    }

    #cu-main-part h1{
        font-size: 25px;
    }

    #cump-icons a{
        height: 25px;
        font-size: 25px;

        margin: 0 5px;
        color: white;
    }

    #cump-icons a:hover{
        color: white;
    }

    #cu-texts{
        margin: 10px;
        margin-top: 25px;
    }

    .pc-text, #au-globe, #links a[href='#home']{ display: none;}
}


@media (max-width: 420px){

    #home{
        padding: 60px 0 20px;
    }

    #home-logo{
        margin: 40px;
        margin-bottom: 20px;
        width: calc(90% - 80px);
    }
    
    #home-text{
        margin: 30px;
        margin-top: 0;
        
        width: calc(100% - 60px);
    }



    #dark-bg, #solutions{
        padding: 10px;
    }

    #contact-us{
        padding: 20px;
    }

    
    
    #cump-icons a{
        margin: 0 2px;
        height: 20px;
        font-size: 20px;
    }

    #cu-main-part{
        margin: 10px 0;
    }

    #cu-texts{
        margin-left: 10px;
    }

    #solut-title{ font-size: 25px !important;}
}

